# environment::get-machine-name

[This is preliminary documentation and subject to change.]

Gets the NetBIOS name of this local computer.

### Usage

`string environment::get-machine-name()`

### Return Value

The NetBIOS name of this local computer.

### Exceptions

The function will fail in any of the following circumstances:

- The name of this computer cannot be obtained.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)